Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230327 - cleanlinks -h: no help, but deletes all symlinks!
Summary: cleanlinks -h: no help, but deletes all symlinks!
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: imake
Version: 7
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 12:15 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-01 22:07:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 11443 None None None Never

Description Need Real Name 2007-02-28 12:15:02 UTC
cleanlinks can delete dangling symlinks and empty directories.

Great! Let's see how it works

[root@box etc]# cleanlinks -h
./rc4.d is a dangling symlink, removing
./rc5.d is a dangling symlink, removing
./init.d is a dangling symlink, removing
./rc2.d is a dangling symlink, removing
./rc3.d is a dangling symlink, removing
./rc1.d is a dangling symlink, removing
[snip]

Ouch.

cleanlinks should do two things differently:
1. It should barf if an unknown option is passed.
2. It should give help if -h is passed.

Comment 1 Marek Mahut 2007-06-30 11:22:39 UTC
Indeed, this script don't follow the POSIX standarts. No --help or --version are
available. Maybe it's a good idea to contact XFree86 project about it. 

Comment 2 Need Real Name 2007-07-01 22:07:46 UTC
Is cleanlinks in F7?

Comment 3 Need Real Name 2007-07-01 22:08:45 UTC
> Is cleanlinks in F7?

Please ignore this.


Note You need to log in before you can comment on or make changes to this bug.